Functions
Functions
BLE Services » BLE Eddystone Configuration Service (ESCS)
Collaboration diagram for Functions:

## Functions
bool | es_adv_remain_connectable_get (void)
| get eddystone remain connectable state More...
void | es_adv_remain_connectable_set (bool remain_connectable)
| set eddystone remain connectable state More...
void | es_public_ecdh_key_get (uint8_t *p_ecdh_key_buf)
| get public ecdh key More...
void | es_public_ecdh_key_set (uint8_t *p_ecdh_key_buf)
| set public ecdh key More...
void | es_security_key_set (uint8_t *p_security_key, bool is_eid_write)
| set security key for slot More...
bool | es_beacon_has_eid_adv (void)
| to konw if a beacon has EID slot More...
void | es_active_slot_number_set (uint8_t slot_no)
| set number of the actived slot More...
uint8_t | es_active_slot_number_get (void)
| get number of the actived slot More...
bool | is_active_slot_eid (void)
| to know if the actived slot is a n EID slot
void | set_beacon_locked (void)
| lock a beacon
void | set_beacon_unlocked (void)
| unlock a beacon
int8_t | es_adv_tx_power_get (void)
| get the radio tx power More...
void | es_adv_tx_power_set (int8_t adv_tx_power)
| set the radio tx power More...
int8_t | es_slot_tx_power_get (void)
| get advertised tx power of a slot More...
void | es_slot_tx_power_set (int8_t tx_power)
| set advertised tx power of a slot More...
uint16_t | es_adv_interval_get (void)
| get advertising interval for slot More...
void | es_adv_interval_set (uint16_t adv_interval)
| set advertising interval for slot More...
sdk_err_t | esec_service_init (ble_escs_init_params_t *p_escs_init)
| Initialize Eddystone Configuration Service,and data for the service. More...

## Detailed Description

## Function Documentation

## ◆ es_active_slot_number_get()

uint8_t es_active_slot_number_get | ( | void |  | ) |

get number of the actived slot

Returns
  slot number of the actived slot.

## ◆ es_active_slot_number_set()

void es_active_slot_number_set | ( | uint8_t | slot_no | ) |

set number of the actived slot

Parameters

  [in] | slot_no | the number to be set to actived slot.

## ◆ es_adv_interval_get()

uint16_t es_adv_interval_get | ( | void |  | ) |

get advertising interval for slot

Returns
  advertising interval(mS).

## ◆ es_adv_interval_set()

void es_adv_interval_set | ( | uint16_t | adv_interval | ) |

set advertising interval for slot

Parameters

  [in] | adv_interval | advertising interval(mS).

## ◆ es_adv_remain_connectable_get()

bool es_adv_remain_connectable_get | ( | void |  | ) |

get eddystone remain connectable state

Return values

  true | beacon connectable function is on.
  false | beacon connectable function is off.

## ◆ es_adv_remain_connectable_set()

void es_adv_remain_connectable_set | ( | bool | remain_connectable | ) |

set eddystone remain connectable state

Parameters

  [in] | remain_connectable | turn on or off beacon connectable function.

## ◆ es_adv_tx_power_get()

int8_t es_adv_tx_power_get | ( | void |  | ) |

get the radio tx power

Returns
  tx power(dBm).

## ◆ es_adv_tx_power_set()

void es_adv_tx_power_set | ( | int8_t | adv_tx_power | ) |

set the radio tx power

Parameters

  [in] | adv_tx_power | tx power(dBm) to set.

## ◆ es_beacon_has_eid_adv()

bool es_beacon_has_eid_adv | ( | void |  | ) |

to konw if a beacon has EID slot

Returns
  true if has EID slot.

## ◆ es_public_ecdh_key_get()

void es_public_ecdh_key_get | ( | uint8_t * | p_ecdh_key_buf | ) |

get public ecdh key

Parameters

  [out] | p_ecdh_key_buf | pointer to key buffer.

## ◆ es_public_ecdh_key_set()

void es_public_ecdh_key_set | ( | uint8_t * | p_ecdh_key_buf | ) |

set public ecdh key

Parameters

  [in] | p_ecdh_key_buf | pointer of key buffer to set.

## ◆ es_security_key_set()

void es_security_key_set | ( | uint8_t * | p_security_key,
|  | bool | is_eid_write
| ) |  |

set security key for slot

Parameters

  [in] | p_security_key | pointer to setting key data.
  [in] | is_eid_write | true if the key for EID slot.

## ◆ es_slot_tx_power_get()

int8_t es_slot_tx_power_get | ( | void |  | ) |

get advertised tx power of a slot

Returns
  advertised tx power(dBm).

## ◆ es_slot_tx_power_set()

void es_slot_tx_power_set | ( | int8_t | tx_power | ) |

set advertised tx power of a slot

Parameters

  [in] | tx_power | advertised tx power(dBm).

## ◆ esec_service_init()

sdk_err_t esec_service_init | ( | ble_escs_init_params_t * | p_escs_init | ) |

Initialize Eddystone Configuration Service,and data for the service.

Parameters

  [in] | p_escs_init | pointer to a initializing data structure.